Subject: Re: [PATCH 0/8] builtin/config: introduce subcommands

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Mar 2024 15:52:23 -0800

Taylor Blau <[email-masked]> writes:

> I don't have strong feelings about this, but I wonder if `--urlmatch`
> (or `--url-match`) might be an argument to the "get" mode of this
> sub-command instead. Something like `git config get --urlmatch` feels
> much more natural to me than `git config get-urlmatch`.

I like that, too.

"--get-regexp" may also be a good candidate to be folded into the
base verb "get", with "--regexp" option to tweak what kind of key is
used.

Could "--get-color" and "--get-colorbool" become verb "get" with
"--type=color"?  The other parameters they get are somewhat
different from "get", so that may not work very well, I guess.